LIBJXL

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Enumerations
types.h File Reference
JPEG XL library (libjxl) » Common API concepts

Data types for the JPEG XL API, for both encoding and decoding. More...

`#include <stddef.h>`
`#include <stdint.h>`
Include dependency graph for types.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | JxlPixelFormat
struct | JxlBitDepth

## Macros
#define | JXL_BOOL int
#define | JXL_TRUE 1
#define | JXL_FALSE 0
#define | TO_JXL_BOOL(C)
#define | FROM_JXL_BOOL(C)

## Typedefs
typedef char | JxlBoxType[4]

## Enumerations
enum | JxlDataType { JXL_TYPE_FLOAT = 0 , JXL_TYPE_UINT8 = 2 , JXL_TYPE_UINT16 = 3 , JXL_TYPE_FLOAT16 = 5 }
enum | JxlEndianness { JXL_NATIVE_ENDIAN = 0 , JXL_LITTLE_ENDIAN = 1 , JXL_BIG_ENDIAN = 2 }
enum | JxlBitDepthType { JXL_BIT_DEPTH_FROM_PIXEL_FORMAT = 0 , JXL_BIT_DEPTH_FROM_CODESTREAM = 1 , JXL_BIT_DEPTH_CUSTOM = 2 }

## Detailed Description

Data types for the JPEG XL API, for both encoding and decoding.